List disputes
curl --request GET \
--url https://api.fintoc.com/v1/disputes \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/disputes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/disputes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/disputes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/disputes")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/disputes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "cb_8anBm9YpVwXzKqL2",
"object": "dispute",
"amount": 7005,
"created_at": "2024-01-15T17:04:10.284Z",
"currency": "CLP",
"documentation_upload_deadline": "2024-01-22T17:04:10.284Z",
"documents": [],
"mode": "live",
"payment_method_type": "card",
"resource_id": "pi_8anBm9YpVwXzKqL2",
"resource_type": "payment_intent",
"status": "waiting_documentation",
"updated_at": "2024-01-16T17:04:10.284Z"
}
]{
"error": {
"type": "invalid_request_error",
"code": "invalid_enum",
"param": "status",
"message": "must be one of: waiting_documentation, in_review, won, lost, expired, canceled",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}Disputes
List disputes
Lists the disputes of your organization for the live or test mode of the API key used. Returns the most recent disputes first. Use the status, resource_id, since, and until query parameters to filter the list.
GET
/
v1
/
disputes
List disputes
curl --request GET \
--url https://api.fintoc.com/v1/disputes \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/disputes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/disputes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/disputes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/disputes")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/disputes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "cb_8anBm9YpVwXzKqL2",
"object": "dispute",
"amount": 7005,
"created_at": "2024-01-15T17:04:10.284Z",
"currency": "CLP",
"documentation_upload_deadline": "2024-01-22T17:04:10.284Z",
"documents": [],
"mode": "live",
"payment_method_type": "card",
"resource_id": "pi_8anBm9YpVwXzKqL2",
"resource_type": "payment_intent",
"status": "waiting_documentation",
"updated_at": "2024-01-16T17:04:10.284Z"
}
]{
"error": {
"type": "invalid_request_error",
"code": "invalid_enum",
"param": "status",
"message": "must be one of: waiting_documentation, in_review, won, lost, expired, canceled",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}Query Parameters
Response
List of disputes for the current mode, most recent first.
Current status of the dispute. One of waiting_documentation, in_review, lost, expired, won, or canceled. A canceled dispute was opened in error and Fintoc voided it, so it doesn't affect your balance.
Available options:
waiting_documentation, in_review, lost, expired, won, canceled Example:
"waiting_documentation"
Was this page helpful?